cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 1.7.0.2 - PHP 5.4 ?

Magento 1.7.0.2 - PHP 5.4 ?

Hello,

 

Do you know if Magento 1.7.0.2 is running with PHP 5.4 ? 

My hosting is upgrading PHP 5.3 to 5.4.

 

Thanks a lot for your help.

5 REPLIES

Re: Magento 1.7.0.2 - PHP 5.4 ?

Hi @celinem

 

Yes I can run on 5.4, there might be some 3rd party plugins that can't run on it, but for the most part you should be fine :-)

Re: Magento 1.7.0.2 - PHP 5.4 ?

Great great great Smiley Happy Nice new of this tuesday evening Smiley Happy

 

So it's working without any patch, that's right ?

Re: Magento 1.7.0.2 - PHP 5.4 ?

Magento provides a patch for 1.6.0.0 - 1.8.0.0 to take care of any issues that PHP 5.4 may introduce Magento CE downloads page

 

Look for PHP 5.4 - Support for PHP 5.4 - Added Jan 17, 2014 near bottom of page.

 

Re: Magento 1.7.0.2 - PHP 5.4 ?

Hi @celinem

 

I would say yes, but for good messure you should install the 5.4 patch avaible at: https://www.magentocommerce.com/products/downloads/magento/

 

It will say EE whne you download it but it will work for CE aswell.

Re: Magento 1.7.0.2 - PHP 5.4 ?

Ok thanks. So if I well understand, after my host is upgrading to PHP 5.4, I just install this patch on my shop and it would be ok on my upgraded hosted with PHP 5.4.

 

I see that changes are very minor in this patch. 

Do you know if I must  verify specific options to be sure all is really ok on my shop ? (placing an order ? What do you test for a similar upgrade).

 

Thanks a lot